# vim: set ts=4 sw=4 sts=0 :
# Copyright (C) 2004, Shu KONNO <owa@bg.wakwak.com> All Rights Reserved.
import ZShogi
import ZShogiSite
from ImageFile import ImageFile

def initialize(context):
	context.registerClass(
		ZShogi.ZShogi,
		permission = "Add ZShogi",
		constructors = (ZShogi.dtml_add, ZShogi.manage_add),
		icon = 'www/ZShogi_icon.gif'
		)

	context.registerClass(
		ZShogiSite.ZShogiSite,
		permission = "Add ZShogi Site",
		constructors = (ZShogiSite.dtml_addSite, ZShogiSite.manage_addSite),
		icon = 'www/ZShogiSite_icon2.gif'
		)

misc_ = {}
misc_['black_img'] = ImageFile('www/black1.png', globals())
misc_['white_img'] = ImageFile('www/white1.png', globals())
misc_['tatami_img'] = ImageFile('www/tatami.jpeg', globals())
misc_['button_img'] = ImageFile('www/bamboo.png', globals())

